#
# spec file for package python-pygraphviz
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pygraphviz
Version:        1.2
Release:        7.3
Url:            http://networkx.lanl.gov/pygraphviz
Summary:        Python interface to Graphviz
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/pygraphviz/pygraphviz-%{version}.tar.gz
# PATCH-FIX-UPSTREAM docdir.patch
Patch:          docdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  graphviz-devel
BuildRequires:  pkg-config
BuildRequires:  python-devel
Requires:       graphviz-python
%if 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%else
%py_requires
%endif

%description
A Python wrapper for the Graphviz Agraph data structure.
PyGraphviz can be used to create and draw networks and graphs with Graphviz.

%prep
%setup -q -n pygraphviz-%{version}
%patch

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
chmod +x %{buildroot}%{python_sitearch}/pygraphviz/tests/test.py

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc doc
%{_docdir}/pygraphviz-%{version}
%{python_sitearch}/pygraphviz/
%{python_sitearch}/pygraphviz-%{version}-py*.egg-info

%changelog
* Fri Mar 28 2014 speilicke@suse.com
- Set license to BSD-3-Clause according to legal
* Fri Dec  6 2013 toddrme2178@gmail.com
- Update to 1.2
  * Quote Graphviz program names to work with space (Windows fix)
  * Keep name in reverse()
- Require graphviz-python
* Wed May 23 2012 toddrme2178@gmail.com
- Clean up spec file
- Update to version 1.1
  * Added unicode support for handling non-ASCII characters
  * Better handling of user data on initialization of AGraph() object to guess input type (AGraph object, file, dict-of-dicts, file)
  * Add sfdp to layout options
- Update to version 1..0.0
  * Added to_string() and from_string methods
  * Interface to graphviz “acyclic” and “tred”
  * Better handling of user data on initialization of AGraph() object to guess input type (AGraph object, file, dict-of-dicts, file)
  * Add handling of default attributes for subgraphs
  * Improved error handling when using non-string data
  * Fix bug in default attribute handling
  * Make sure file handles are closed correctly
* Sat Mar 26 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack;
- Bzip2 source code;
- Add docdir.patch to fix documentation path.
* Fri Oct  9 2009 alexandre@exatati.com.br
- Initial package (0.99.1) for openSUSE.
